<?php

// My Click Boss - Version 3.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

// session tracking
sec_session_start();
if(login_check($mysqli) != true) {
	// redirect to login form
	$mysqli->close();
	header("Location: login.php");	
}

// who is logged in? 
$members_id = $_SESSION['members_id'];
$login_username = $_SESSION['username'];

// get ALL trades that have sent or received traffic in the last 24 hours
//$sql = "SELECT click_trades_id, inbound_outbound, COUNT(*) as count FROM click_trade_stats GROUP BY click_trades_id WHERE click_date >= DATE_SUB( NOW(), INTERVAL 24 HOUR) ORDER BY (count) DESC";
$sql = "SELECT click_trades_id, inbound_outbound, COUNT(*) as count FROM click_trade_stats WHERE click_date >= DATE_SUB(NOW(), INTERVAL 24 HOUR) GROUP BY click_trades_id ORDER BY (count) DESC";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// close up shop
//$mysqli->close();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>My Click Boss - Trades Sending Clicks Last 24 Hours</title>
<meta content="en-us" http-equiv="Content-Language" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="reset.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</head>
<body>
<div id="wrapper">
<div id="header">
</div><!-- END #header -->
<div id="top_menu">
	<?php include "top-menu.php"; ?>
</div><!-- END #top_menu -->
<div id="main">
	<div id="page_name">
		<h1>Trades Sending Clicks Last 24 Hours</h1></div><!-- END #page_name -->
	<div id="page_description">Trades sending clicks in the last 24 hours are listed below.</div><!-- END #page_description -->
	<div id="form_section">
<center>
	<table>
  <thead>
  <tr>
    <th class="listHeading">Tracker Description</th>
    <th class="listHeading">In/Out</th>
    <th class="listHeading">Clicks</th>
  </tr>
  </thead>
  <tbody>
<?php
while ($row = $result->fetch_array(MYSQLI_BOTH)) {
	$click_trades_id = $row['click_trades_id'];
	$inbound_outbound = $row['inbound_outbound'];
	$count = $row['count'];
	// get trade description
	$sql_temp = "SELECT * FROM click_trades WHERE id = $click_trades_id";
	$result_temp = $mysqli->query($sql_temp);
	if ($mysqli->connect_errno) {
		echo "Could not select record in click_trades: (" . $mysqli->errno . ") " . $mysqli->error;
		exit();
	}
	$row_temp = $result_temp->fetch_array(MYSQLI_BOTH);
	$description = stripslashes($row_temp['description']);
	$result_temp->close();
	echo "<tr>";
	echo "<td>";
	echo "$description";
	echo "</td>";
	echo "<td>";
	echo "$inbound_outbound";
	echo "</td>";
	echo "<td>";
	echo "$count";
	echo "</td>";
	echo "</tr>";
} // end while
// close up shop
$mysqli->close();
?>
  </tbody>
</table>
</center>
<br><br>
	</div><!-- END #form_section -->
</div><!-- END #main -->
<div id="footer">
	<?php include "footer.php"; ?>
</div><!-- END #footer -->
<br><br>
</div><!-- END #wrapper -->
</body>
</html>
	