<?php

// My Click Boss - Version 3.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

// session tracking
sec_session_start();
if(login_check($mysqli) != true) {
	// redirect to login form
	$mysqli->close();
	header("Location: login.php");	
}

// who is logged in? 
$members_id = $_SESSION['members_id'];
$login_username = $_SESSION['username'];

// get id to delete
$id = $_GET['id'];
$r = $_GET['r'];

// sanitize gets
$id = sanitize($id, $mysqli);

// delete associated stats
$sql = "DELETE FROM click_trade_stats WHERE click_trades_id = $id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not delete record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// delete associated pixel stats
$sql = "DELETE FROM pixel_stats WHERE tracker_id = $id && tracker_type = 'b'";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not delete record in pixel_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// zero click count
$sql = "UPDATE click_trades SET total_clicks_received = 0, total_clicks_sent = 0, email_alert_sent = 'No' WHERE id = $id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not update record in click_trades: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// close up shop
$mysqli->close();

switch ($r) {
	case 1:
		$loc_return = "list-click-trades.php";
		break;
	case 2:
		$loc_return = "click-trade-archives.php";
		break;
}

// redirect
header("Location: $loc_return");
	
?>
