<?php

// My Click Boss - Version 3.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

// session tracking
sec_session_start();
if(login_check($mysqli) != true) {
	// redirect to login form
	$mysqli->close();
	header("Location: login.php");	
}

// who is logged in? 
$members_id = $_SESSION['members_id'];
$login_username = $_SESSION['username'];

// get id to delete
$id = $_GET['id'];

// sanitize gets
$id = sanitize($id, $mysqli);

// mark tracker as archived
$sql = "UPDATE click_trackers SET tracker_status = 'Archived' WHERE id = $id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not update record in click_trackers: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// close up shop
$mysqli->close();

// redirect
header("Location: list-click-trackers.php");
	
?>
