<?php

// My Click Boss - Version 1.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

$method = $_SERVER['REQUEST_METHOD'];
if ($method == 'POST') {
	$email = $_POST['email'];

	// sanitize data
	$email = sanitize($email, $mysqli);
	
	// get members record data
	$sql = "SELECT * FROM members WHERE email = '$email'";
	$result = $mysqli->query($sql);
	if ($mysqli->connect_errno) {
		echo "Could not select record in members: (" . $mysqli->errno . ") " . $mysqli->error;
		exit();
	}
	$count = $result->num_rows;
	if ($count > 0) {
		$row = $result->fetch_array(MYSQLI_BOTH);
		$members_id = $row['id'];
		$security_code = $row['security_code'];
		$result->close();	
		// create security_code2
		$security_code2_chars = 'abcdefghijklmnopqrstuvwxyz0123456789';
		$security_code2 = '';
		for($i = 0; $i < 6; $i++){
			$pos = mt_rand(0, strlen($security_code2_chars)-1);
			$security_code2 .= substr($security_code2_chars, $pos, 1);
		}
		// save security_code2 to members record
		$sql = "UPDATE members SET security_code2 = '$security_code2' WHERE id = $members_id";
		$result = $mysqli->query($sql);
		if ($mysqli->connect_errno) {
			echo "Could not update record in members: (" . $mysqli->errno . ") " . $mysqli->error;
			exit();
		}
		// form password change link
		$password_change_url = $update_password_url . "?pid=" . $members_id . "&dc1=" . $security_code . "&dc2=" . $security_code2;
		// send email
		$email = stripslashes($email);
		$e_headers = "From: My Click Boss <noreply@myclickboss.com>\n";
		$e_headers .= "Content-Type: text/plain; charset=iso-8859-1\n";
		$e_recipient = $email;
		$e_subject = "Password change request";
		$e_message = "Please click the link below to change your My Click Boss password.\n";
		$e_message .= "\n";
		$e_message .= "$password_change_url\n";
		$e_message .= "\n";
		mail($e_recipient, $e_subject, $e_message, $e_headers);		
	} else {
		$result->close();	
	}
}

// close up shop
$mysqli->close();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>My Click Boss - Lost Password</title>
<meta content="en-us" http-equiv="Content-Language" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="reset.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="wrapper">
<div id="header">
</div><!-- END #header -->
<div id="top_menu">
</div><!-- END #top_menu -->
<div id="main">
	<div id="page_name">
		<h1>My Click Boss - Lost Password</h1></div><!-- END #page_name -->
	<div id="page_description">
		An email has just been sent to you. Check you email account for further instructions on reseting your password...
		</div><!-- END #page_description -->
	<div id="form_section">
	</div><!-- END #form_section -->
</div><!-- END #main -->
<div id="footer">
	<?php include "footer.php"; ?>
</div><!-- END #footer -->
<br><br>
</div><!-- END #wrapper -->
</body>
</html>
