<?php

// My Click Boss - Version 3.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

// session tracking
sec_session_start();
if(login_check($mysqli) != true) {
	// redirect to login form
	$mysqli->close();
	header("Location: login.php");	
}

// who is logged in? 
$members_id = $_SESSION['members_id'];
$login_username = $_SESSION['username'];

// close up shop
$mysqli->close();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>My Click Boss - Trackers Sending Clicks Last 24 Hours</title>
<meta content="en-us" http-equiv="Content-Language" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="reset.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</head>
<body>
<div id="wrapper">
<div id="header">
</div><!-- END #header -->
<div id="top_menu">
	<?php include "top-menu.php"; ?>
</div><!-- END #top_menu -->
<div id="main">
	<div id="page_name">
		<h1>Trackers Sending Clicks Last 24 Hours</h1></div><!-- END #page_name -->
	<div id="page_description">Select the type of tracker(s) you would like to run this report for.</div><!-- END #page_description -->
	<div id="form_section">
<center>
<form method="post" id="trackerssendingclickslast24hours" name="trackerssendingclickslast24hours" action="report-trackers-sending-clicks-last-24-hours2.php">
<table>
<tr>
<td width="162" class="txtRight bold">Tracker Type(s):</td>
<td width="596">
<select size="1" id="tracker_types" name="tracker_types">
<option value="Inbound">Inbound</option>
<option value="Outbound">Outbound</option>
<option value="Blank">Not Labeled</option>
<option value="All">All</option>
</select>
</td>
</tr>
</table>
<br>            
<input type="submit" name="submit" id="submit" value="Run Report">
</form>
</center>
<br><br>	
	</div><!-- END #form_section -->
</div><!-- END #main -->
<div id="footer">
	<?php include "footer.php"; ?>
</div><!-- END #footer -->
<br><br>
</div><!-- END #wrapper -->
</body>
</html>
	