<?php

// My Click Boss - Version 3.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

// session tracking
sec_session_start();
if(login_check($mysqli) != true) {
	// redirect to login form
	$mysqli->close();
	header("Location: login.php");	
}

// who is logged in? 
$members_id = $_SESSION['members_id'];
$login_username = $_SESSION['username'];

// get link id
$id = $_GET['id'];

// sanitize data as needed
$id = sanitize($id, $mysqli);

// get click_rotator_links record
$sql = "SELECT * FROM click_rotator_links WHERE id = $id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_rotator_links: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
// bypass hack attempt check
$count = $result->num_rows;
if ($count < 1) {
	echo "ERROR: Invalid record ID";
	$mysqli->close();
	exit();
}	
// get the data
$row = $result->fetch_array(MYSQLI_BOTH);
$click_rotators_id = $row['click_rotators_id'];
$result->close();

$sql = "SELECT * FROM click_rotators WHERE id = $click_rotators_id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_rotators: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
// bypass hack attempt check
$count = $result->num_rows;
if ($count < 1) {
	echo "ERROR: Invalid record ID";
	$mysqli->close();
	exit();
}
// get any data needed
$row = $result->fetch_array(MYSQLI_BOTH);
$description = stripslashes($row['description']);
$result->close();

// delete stats for this link
$sql = "DELETE FROM click_rotator_stats WHERE click_rotator_links_id = $id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not delete record in click_rotator_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// reset click count for this link
$sql = "UPDATE click_rotator_links SET total_clicks_sent = 0, daily_click_count = 0 WHERE id = $id";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not update record in click_rotator_links: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// close up shop
$mysqli->close();

// reload
header("Location: click-rotator-links.php?id=$click_rotators_id");

?>
