<?php

// My Click Boss - Version 1.0
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

include "config.inc.php";
include "functions.php";

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

$method = $_SERVER['REQUEST_METHOD'];
if ($method == 'POST') {
	$members_id = $_POST['pid'];
	$security_code = $_POST['dc1'];
	$security_code2 = $_POST['dc2'];
	$password = $_POST['password'];
	$password_again = $_POST['password_again'];

	// validate POST DATA isset etc
	if (!isset($members_id)) {
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}
	if (!isset($security_code)) {
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}
	if (!isset($security_code2)) {
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}
	// exit with error if any are blank
	$members_id = trim($members_id);
	if ($members_id == "") {
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}
	$security_code = trim($security_code);
	if ($security_code == "") {
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}
	$security_code2 = trim($security_code2);
	if ($security_code2 == "") {
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}

	// is member valid and data match?
	// sanitize data as needed
	$members_id = sanitize($members_id, $mysqli);
	$security_code = sanitize($security_code, $mysqli);
	$security_code2 = sanitize($security_code2, $mysqli);
	// get members record. exit with error if not found
	$sql = "SELECT * FROM members WHERE id = $members_id && security_code = '$security_code' && security_code2 = '$security_code2'";
	$result = $mysqli->query($sql);
	if ($mysqli->connect_errno) {
		echo "Could not select record in members: (" . $mysqli->errno . ") " . $mysqli->error;
		exit();
	}
	$count = $result->num_rows;
	if ($count < 1) {
		$result->close();
		$mysqli->close();
		echo "Invalid link followed";
		exit();
	}
	$result->close();

	// check fields for errors
	$errorcount = 0;
	$displaymessagebox = "y";
	$displaymessage = "";
	
	// password error checks no blanks ect
	// $password $password_again
	$password = trim($password);
	$password_again = trim($password_again);
	// does password fields match?
	if (strcmp($password, $password_again) <> 0) {
		if ($displaymessage == "") {
			$displaymessage = "INPUT ERROR! - The 'Login Password' and 'Password Confirm' fields did not match.";
		} else {
			$displaymessage .= "<br>" . "INPUT ERROR! - The 'Login Password' and 'Password Confirm' fields did not match.";
		}
		$errorcount++;
	}
	if(!preg_match('/^[a-zA-Z0-9]+$/', $password)) {
		if ($displaymessage == "") {
			$displaymessage = "INPUT ERROR! - The 'Login Password' field can only contain a-z, 0-9, A-Z.";
		} else {
			$displaymessage .= "<br>" . "INPUT ERROR! - The 'Login Password' field can only contain a-z, 0-9, A-Z.";
		}
		$errorcount++;
	}
	// check password length
	if (strlen($password) < 6) {
		if ($displaymessage == "") {
			$displaymessage = "INPUT ERROR! - The 'Login Password' field must be between 6 and 50 characters.";
		} else {
			$displaymessage .= "<br>" . "INPUT ERROR! - The 'Login Password' field must be between 6 and 50 characters.";
		}
		$errorcount++;
	}
	if (strlen($password) > 50) {
		if ($displaymessage == "") {
			$displaymessage = "INPUT ERROR! - The 'Login Password' field must be between 6 and 50 characters.";
		} else {
			$displaymessage .= "<br>" . "INPUT ERROR! - The 'Login Password' field must be between 6 and 50 characters.";
		}
		$errorcount++;
	}	
	// is password blank
	if ($password == "") {
		if ($displaymessage == "") {
			$displaymessage = "INPUT ERROR! - The 'Login Password' field can't be blank.";
		} else {
			$displaymessage .= "<br>" . "INPUT ERROR! - The 'Login Password' field can't be blank.";
		}
		$errorcount++;
	}

	// hash new password and work salt magic
	$password = hash('sha512', $password); 
	// Create a random salt
	$random_salt = hash('sha512', uniqid(mt_rand(1, mt_getrandmax()), true));
	// Create salted password (Careful not to over season)
	$password = hash('sha512', $password.$random_salt);	

	// sanitize data as needed before calling mysql
	$password = sanitize($password, $mysqli);
	$random_salt = sanitize($random_salt, $mysqli);
	
	// update members password random_salt and blank security_code2
	$sql = "UPDATE members SET password = '$password', salt = '$random_salt', security_code2 = '' WHERE id = $members_id";
	$result = $mysqli->query($sql);
	if ($mysqli->connect_errno) {
		echo "Could not update record in members: (" . $mysqli->errno . ") " . $mysqli->error;
		exit();
	}
	
	// close up shop
	$mysqli->close();
	// redirect to members area
	header("Location: $admin_url");
	exit();
} else {
	// GET
	$members_id = $_GET['pid'];
	$security_code = $_GET['dc1'];
	$security_code2 = $_GET['dc2'];
	if (!isset($members_id)) {
		$mysqli->close();
		echo "Invalid link followed a";
		exit();
	}
	if (!isset($security_code)) {
		$mysqli->close();
		echo "Invalid link followed b";
		exit();
	}
	if (!isset($security_code2)) {
		$mysqli->close();
		echo "Invalid link followed c";
		exit();
	}
	// exit with error if any are blank
	$members_id = trim($members_id);
	if ($members_id == "") {
		$mysqli->close();
		echo "Invalid link followed d";
		exit();
	}
	$security_code = trim($security_code);
	if ($security_code == "") {
		$mysqli->close();
		echo "Invalid link followed e";
		exit();
	}
	$security_code2 = trim($security_code2);
	if ($security_code2 == "") {
		$mysqli->close();
		echo "Invalid link followed f";
		exit();
	}
	// sanitize data
	$members_id = sanitize($members_id, $mysqli);
	$security_code = sanitize($security_code, $mysqli);
	$security_code2 = sanitize($security_code2, $mysqli);
	// get members record. exit with error if not found
	$sql = "SELECT * FROM members WHERE id = $members_id && security_code = '$security_code' && security_code2 = '$security_code2'";
	$result = $mysqli->query($sql);
	if ($mysqli->connect_errno) {
		echo "Could not select record in members: (" . $mysqli->errno . ") " . $mysqli->error;
		exit();
	}
	$count = $result->num_rows;
	if ($count < 1) {
		$result->close();
		$mysqli->close();
		echo "Invalid link followed g";
		exit();
	}
	$result->close();

	// close up shop
	$mysqli->close();
	
	$password = "";
	$password_again = "";
	
	$displaymessagebox = "n";
	$displaymessage = "";
	$errorcount = 0;	
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>My Click Boss - Change Password</title>
<meta content="en-us" http-equiv="Content-Language" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="reset.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</head>
<body>
<div id="wrapper">
<div id="header">
</div><!-- END #header -->
<div id="top_menu">
</div><!-- END #top_menu -->
<div id="main">
	<div id="page_name">
		<h1>Change Password</h1></div><!-- END #page_name -->
	<div id="page_description">
		Enter the information below and then click the update button to reset and change your password.</div><!-- END #page_description -->
	<div id="form_section">

<?php
if ($displaymessagebox == "y") {
	echo "<table>";
	echo "<tr>";
	if ($errorcount > 0) {
		echo "<td><span style=\"color: red;\"><b>$displaymessage</b></span></td>";
	} else {
		echo "<td><span style=\"color: green;\"><b>$displaymessage</b></span></td>";
	}
	echo "</tr>";
	echo "</table>";
	echo "<br>";
}
?>

<center>
<form method="post" id="changepassword" name="changepassword" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
<input type="hidden" name="pid" value="<?php echo $members_id; ?>">
<input type="hidden" name="dc1" value="<?php echo $security_code; ?>">
<input type="hidden" name="dc2" value="<?php echo $security_code2; ?>">
<table>
<tr>
<td width="162" class="txtRight bold">New Password:</td>
<td width="596"><input type="password" id="password" name="password" size="50" value=""></td>
</tr>
<tr>
<td width="162" class="txtRight bold">New Password Again:</td>
<td width="596"><input type="password" id="password_again" name="password_again" size="50" value=""></td>
</tr>
</table>
<br>            
<input type="submit" name="submit" id="submit" value="Change Password">
</form>
</center>
<br><br>

	</div><!-- END #form_section -->
</div><!-- END #main -->
<div id="footer">
	<?php include "footer.php"; ?>
</div><!-- END #footer -->
<br><br>
</div><!-- END #wrapper -->
</body>
</html>
