<?php

// My Click Boss - Version 3.01
// Copyright (c) 2013 by RLW Publishing, all rights reserved.
// http://myclickboss.com/

// 	$stats_link = $trade_stats_url . "?i=" . $id . "&p=" . $stats_password;

include "admin/config.inc.php";
include "admin/functions.php";
$cssfileslocation = "admin/";

// get fields
$id = $_GET['i'];
$stats_password = $_GET['p'];

// if password is blank just exit
if ($stats_password == "") {
	exit;
}
if ($id == "") {
	exit;
}

// connect to database
$mysqli = new mysqli(HOST, USER, PASSWORD, DATABASE);
if ($mysqli->connect_errno) {
	echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
	exit();
}

// sanitize input data
$click_trades_id = sanitize($click_tracker_id, $mysqli);
$stats_password = sanitize($stats_password, $mysqli);

// gets stats data, exit if trades id and password are invalid
$sql = "SELECT * FROM click_trades WHERE id = $id && trade_partners_stats_password = '$stats_password' && trade_status = 'Active'";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trades: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$count = $result->num_rows;
if ($count < 1) {
	echo "ERROR: Invalid link followed or stats no longer available";
	$mysqli->close();
	exit();
}
$row = $result->fetch_array(MYSQLI_BOTH);
$description = stripslashes($row['description']);
$trade_partners_url = stripslashes($row['trade_partners_url']);
$my_url = stripslashes($row['my_url']);
$date_click_trade_created = $row['date_click_trade_created'];
$inbound_click_tracking_code = $row['inbound_click_tracking_code'];
$outbound_click_tracking_code = $row['outbound_click_tracking_code'];
$total_clicks_received = $row['total_clicks_received'];
$total_clicks_sent = $row['total_clicks_sent'];
$result->close();

// get data for click stats

// stats

// click_count_today_inbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && DATE(click_date) = CURDATE()";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_today_inbound = $result->num_rows;
//$result->close();

// click_count_yesterday_inbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && DATE(click_date) = DATE_SUB(CURDATE(), INTERVAL 1 DAY)";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_yesterday_inbound = $result->num_rows;
//$result->close();

// click_count_last_7_days_inbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && DATE(click_date) > DATE_SUB(CURDATE(), INTERVAL 7 DAY)";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_last_7_days_inbound = $result->num_rows;
//$result->close();

// click_count_last_30_days_inbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && DATE(click_date) > DATE_SUB(CURDATE(), INTERVAL 30 DAY)";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_last_30_days_inbound = $result->num_rows;
//$result->close();

// get inbound click metrics (referring urls, surfer ips, user agents, language etc)
$sql_click_metrics_inbound = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' ORDER BY click_date DESC";
$result_click_metrics_inbound = $mysqli->query($sql_click_metrics_inbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// get pixel stats count(DISTINCT pixel_location_slug) ???
$sql_pixel_stats_inbound = "SELECT pixel_location_slug, count(pixel_location_slug) AS slugcount FROM pixel_stats WHERE tracker_type = 'b' && tracker_id = $id GROUP BY pixel_location_slug ORDER BY pixel_location_slug ASC";
$result_pixel_stats_inbound = $mysqli->query($sql_pixel_stats_inbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in pixel_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// get geo country counts
$sql_geo_stats_inbound = "SELECT country_code, country_name, count(country_code) AS countrycount FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' GROUP BY country_code ORDER BY country_code ASC";
$result_geo_stats_inbound = $mysqli->query($sql_geo_stats_inbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// calculate tier 1 country count and percentage ($total_clicks)total_clicks_received
// US,CA,GB,AU,NZ
$tier1_total_count_inbound = 0;
// US
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && country_code = 'US'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_inbound = $tier1_total_count_inbound + $tier1_count;
// CA
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && country_code = 'CA'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_inbound = $tier1_total_count_inbound + $tier1_count;
// GB
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && country_code = 'GB'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_inbound = $tier1_total_count_inbound + $tier1_count;
// AU
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && country_code = 'AU'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_inbound = $tier1_total_count_inbound + $tier1_count;
// NZ
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' && country_code = 'NZ'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_inbound = $tier1_total_count_inbound + $tier1_count;
// calculate tier 1 percentage
if ($total_clicks_received > 0) {
	$tier1countrypercentage_inbound = ($tier1_total_count_inbound / $total_clicks_received) * 100;
	$tier1countrypercentage_inbound = round($tier1countrypercentage_inbound, 1);
	$tier1countrypercentage_inbound = $tier1countrypercentage_inbound . "%";
} else {
	$tier1countrypercentage_inbound = "0%";
}

// get first click received on date
$sql_first_click = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' ORDER BY click_date ASC LIMIT 1";
$result_first_click = $mysqli->query($sql_first_click);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_first_click = $result_first_click->num_rows;
if ($click_count_first_click > 0) {
	$row_first_click = $result_first_click->fetch_array(MYSQLI_BOTH);
	$first_click_date_inbound = $row_first_click['click_date'];
	$result_first_click->close();
} else {
	$first_click_date_inbound = "none";
}

// get last click received on date
$sql_last_click = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'i' ORDER BY click_date DESC LIMIT 1";
$result_last_click = $mysqli->query($sql_last_click);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_last_click = $result_last_click->num_rows;
if ($click_count_last_click > 0) {
	$row_last_click = $result_last_click->fetch_array(MYSQLI_BOTH);
	$last_click_date_inbound = $row_last_click['click_date'];
	$result_last_click->close();
} else {
	$last_click_date_inbound = "none";
}

// get raw stats
$sql = "SELECT * FROM click_trade_raw_stats WHERE click_trades_id = $id && inbound_outbound = 'i'";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_raw_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_raw_inbound = $result->num_rows;
//$result->close();
$clicks_raw_inbound_total = $click_count_raw_inbound + $total_clicks_received;

// outbound stats

// click_count_today_outbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && DATE(click_date) = CURDATE()";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_today_outbound = $result->num_rows;
//$result->close();

// click_count_yesterday_outbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && DATE(click_date) = DATE_SUB(CURDATE(), INTERVAL 1 DAY)";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_yesterday_outbound = $result->num_rows;
//$result->close();

// click_count_last_7_days_outbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && DATE(click_date) > DATE_SUB(CURDATE(), INTERVAL 7 DAY)";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_last_7_days_outbound = $result->num_rows;
//$result->close();

// click_count_last_30_days_outbound
$sql = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && DATE(click_date) > DATE_SUB(CURDATE(), INTERVAL 30 DAY)";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_last_30_days_outbound = $result->num_rows;
//$result->close();

// get outbound click metrics (referring urls, surfer ips, user agents, language etc)
$sql_click_metrics_outbound = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' ORDER BY click_date DESC";
$result_click_metrics_outbound = $mysqli->query($sql_click_metrics_outbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// get pixel stats count(DISTINCT pixel_location_slug) ???
//$sql_pixel_stats_inbound = "SELECT pixel_location_slug, count(pixel_location_slug) AS slugcount FROM pixel_stats WHERE tracker_type = 'b' && tracker_id = $id GROUP BY pixel_location_slug ORDER BY pixel_location_slug ASC";
//$result_pixel_stats_inbound = $mysqli->query($sql_pixel_stats_inbound);
//if ($mysqli->connect_errno) {
//	echo "Could not select record in pixel_stats: (" . $mysqli->errno . ") " . $mysqli->error;
//	exit();
//}

// get geo country counts
$sql_geo_stats_outbound = "SELECT country_code, country_name, count(country_code) AS countrycount FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' GROUP BY country_code ORDER BY country_code ASC";
$result_geo_stats_outbound = $mysqli->query($sql_geo_stats_outbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// calculate tier 1 country count and percentage ($total_clicks)total_clicks_sent
// US,CA,GB,AU,NZ
$tier1_total_count_outbound = 0;
// US
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && country_code = 'US'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_outbound = $tier1_total_count_outbound + $tier1_count;
// CA
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && country_code = 'CA'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_outbound = $tier1_total_count_outbound + $tier1_count;
// GB
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && country_code = 'GB'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_outbound = $tier1_total_count_outbound + $tier1_count;
// AU
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && country_code = 'AU'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_outbound = $tier1_total_count_outbound + $tier1_count;
// NZ
$sql_tier1 = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' && country_code = 'NZ'";
$result_tier1 = $mysqli->query($sql_tier1);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$tier1_count = $result_tier1->num_rows;
//$result_tier1->close();
$tier1_total_count_outbound = $tier1_total_count_outbound + $tier1_count;
// calculate tier 1 percentage
if ($total_clicks_sent > 0) {
	$tier1countrypercentage_outbound = ($tier1_total_count_outbound / $total_clicks_sent) * 100;
	$tier1countrypercentage_outbound = round($tier1countrypercentage_outbound, 1);
	$tier1countrypercentage_outbound = $tier1countrypercentage_outbound . "%";
} else {
	$tier1countrypercentage_outbound = "0%";
}

// get first click received on date
$sql_first_click = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' ORDER BY click_date ASC LIMIT 1";
$result_first_click = $mysqli->query($sql_first_click);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_first_click = $result_first_click->num_rows;
if ($click_count_first_click > 0) {
	$row_first_click = $result_first_click->fetch_array(MYSQLI_BOTH);
	$first_click_date_outbound = $row_first_click['click_date'];
	$result_first_click->close();
} else {
	$first_click_date_outbound = "none";
}

// get last click received on date
$sql_last_click = "SELECT * FROM click_trade_stats WHERE click_trades_id = $id && inbound_outbound = 'o' ORDER BY click_date DESC LIMIT 1";
$result_last_click = $mysqli->query($sql_last_click);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_last_click = $result_last_click->num_rows;
if ($click_count_last_click > 0) {
	$row_last_click = $result_last_click->fetch_array(MYSQLI_BOTH);
	$last_click_date_outbound = $row_last_click['click_date'];
	$result_last_click->close();
} else {
	$last_click_date_outbound = "none";
}

// get raw stats
$sql = "SELECT * FROM click_trade_raw_stats WHERE click_trades_id = $id && inbound_outbound = 'o'";
$result = $mysqli->query($sql);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_raw_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}
$click_count_raw_outbound = $result->num_rows;
//$result->close();
$clicks_raw_outbound_total = $click_count_raw_outbound + $total_clicks_sent;

// IP class distribution of unique clicks inbound
$sql_ip_counts_inbound = "SELECT substr(surfer_ip, 1, locate('.', surfer_ip, locate('.', surfer_ip, locate('.', surfer_ip) + 1) + 1) - 1) AS subip, COUNT(surfer_ip) AS count FROM click_trade_stats WHERE click_trades_id = $id  && inbound_outbound = 'i' GROUP BY (subip) ORDER BY count DESC";
$result_ip_counts_inbound = $mysqli->query($sql_ip_counts_inbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// IP class distribution of unique clicks outbound
$sql_ip_counts_outbound = "SELECT substr(surfer_ip, 1, locate('.', surfer_ip, locate('.', surfer_ip, locate('.', surfer_ip) + 1) + 1) - 1) AS subip, COUNT(surfer_ip) AS count FROM click_trade_stats WHERE click_trades_id = $id  && inbound_outbound = 'o' GROUP BY (subip) ORDER BY count DESC";
$result_ip_counts_outbound = $mysqli->query($sql_ip_counts_outbound);
if ($mysqli->connect_errno) {
	echo "Could not select record in click_trade_stats: (" . $mysqli->errno . ") " . $mysqli->error;
	exit();
}

// close up shop
//$mysqli->close();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>My Click Boss - Trade Stats</title>
<meta content="en-us" http-equiv="Content-Language" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="<?php echo $cssfileslocation; ?>reset.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $cssfileslocation; ?>styles.css" rel="stylesheet" type="text/css" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</head>
<body>
<div id="wrapper">
<div id="header">
</div><!-- END #header -->
<div id="top_menu">
</div><!-- END #top_menu -->
<div id="main">
	<div id="page_name">
		<h1>Trade Stats</h1></div><!-- END #page_name -->
	<div id="page_description">Stats for the selected click trade.</div><!-- END #page_description -->
	<div id="form_section">
<!--<center>-->
<table>
<tr>
<td width="162" class="txtRight bold">Description:</td>
<td width="596"><?php echo $description; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">Inbound URL:</td>
<td width="596"><?php echo $my_url; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">Outbound URL:</td>
<td width="596"><?php echo $trade_partners_url; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">Created on:</td>
<td width="596"><?php echo $date_click_trade_created; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">First Inbound Click:</td>
<td width="596"><?php echo $first_click_date_inbound; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">Last Inbound Click:</td>
<td width="596"><?php echo $last_click_date_inbound; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">First Outbound Click:</td>
<td width="596"><?php echo $first_click_date_outbound; ?></td>
</tr>
<tr>
<td width="162" class="txtRight bold">Last Outbound Click:</td>
<td width="596"><?php echo $last_click_date_outbound; ?></td>
</tr>
</table>
<br><br>
<!--</center>-->

<center>
<table align="center" cellpadding="2" style="border-style: solid; border-width: 1px;">
<tr>
<td style="border-style: solid; border-width: 1px;">
<center>
<table>
<tr>
<td style="font-size:20px">Inbound Click Stats</td>
</tr>
</table>
</center>
<center>
<table>
<tr>
   	<td>Clicks Today:</td>
    <td><?php echo $click_count_today_inbound; ?></td>
</tr>
<tr>
   	<td>Clicks Yesterday:</td>
    <td><?php echo $click_count_yesterday_inbound; ?></td>
</tr>
<tr>
   	<td>Clicks Last 7 Days:</td>
    <td><?php echo $click_count_last_7_days_inbound; ?></td>
</tr>
<tr>
   	<td>Clicks Last 30 Days:</td>
    <td><?php echo $click_count_last_30_days_inbound; ?></td>
</tr>
<tr>
   	<td>Total Unique Clicks:</td>
    <td><?php echo $total_clicks_received; ?></td>
</tr>		
<tr>
   	<td>Total Raw Clicks:</td>
    <td><?php echo $clicks_raw_inbound_total; ?></td>
</tr>		
<tr>
   	<td>Tier 1 Country Clicks:</td>
    <td><?php echo $tier1_total_count_inbound; ?></td>
</tr>		
<tr>
   	<td>Tier 1 Country Percentage:</td>
    <td><?php echo $tier1countrypercentage_inbound; ?></td>
</tr>		
</table>
</center>
</td>
<td rowspan="2" style="border-style: solid; border-width: 1px;">
<center>
<table>
<tr>
<td style="font-size:20px">GEO Stats</td>
</tr>
</table>
</center>
<center>
<table>
<tr>
   	<td><b>Country Code - Country Name - Unique - Percentage:</b></td>
</tr>
<?php
while ($row_geo_stats_inbound = $result_geo_stats_inbound->fetch_array(MYSQLI_BOTH)) {
	$country_code = $row_geo_stats_inbound['country_code'];
	$country_name = $row_geo_stats_inbound['country_name'];
	$countrycount = $row_geo_stats_inbound['countrycount'];
	// calculate percentage $countrypercentage ($total_clicks)total_clicks_received
	if ($total_clicks_received > 0) {
		$countrypercentage = ($countrycount / $total_clicks_received) * 100;
		$countrypercentage = round($countrypercentage, 1);
		$countrypercentage = $countrypercentage . "%";
	} else {
		$countrypercentage = "0%";
	}
	echo "<tr>";
	echo "<td>$country_code - $country_name - $countrycount - $countrypercentage</td>";
	echo "</tr>";
} // end while
//$result_geo_stats_inbound->close();
?>
</table>		
</center>
</td>
</tr>
<tr>
<td style="border-style: solid; border-width: 1px;">
<center>
<table>
<tr>
<td style="font-size:20px">Pixel Stats</td>
</tr>
</table>
</center>
<center>
<table>
<tr>
   	<td><b>Pixel Name - Count:</b></td>
</tr>
<?php
while ($row_pixel_stats_inbound = $result_pixel_stats_inbound->fetch_array(MYSQLI_BOTH)) {
	$pixel_location_slug = $row_pixel_stats_inbound['pixel_location_slug'];
	$slugcount = $row_pixel_stats_inbound['slugcount'];
	echo "<tr>";
	echo "<td>$pixel_location_slug - $slugcount</td>";
	echo "</tr>";
} // end while
//$result_pixel_stats_inbound->close();
?>
</table>		
</center>
</td>
</tr>
</table>
</center>

<br><br>

<center>
<table align="center" cellpadding="2" style="border-style: solid; border-width: 1px;">
<tr>
<td style="border-style: solid; border-width: 1px;">
<center>
<table>
<tr>
<td style="font-size:20px">Outbound Click Stats</td>
</tr>
</table>
</center>
<center>
<table>
<tr>
   	<td>Clicks Today:</td>
    <td><?php echo $click_count_today_outbound; ?></td>
</tr>
<tr>
   	<td>Clicks Yesterday:</td>
    <td><?php echo $click_count_yesterday_outbound; ?></td>
</tr>
<tr>
   	<td>Clicks Last 7 Days:</td>
    <td><?php echo $click_count_last_7_days_outbound; ?></td>
</tr>
<tr>
   	<td>Clicks Last 30 Days:</td>
    <td><?php echo $click_count_last_30_days_outbound; ?></td>
</tr>
<tr>
   	<td>Total Unique Clicks:</td>
    <td><?php echo $total_clicks_sent; ?></td>
</tr>		
<tr>
   	<td>Total Raw Clicks:</td>
    <td><?php echo $clicks_raw_outbound_total; ?></td>
</tr>		
<tr>
   	<td>Tier 1 Country Clicks:</td>
    <td><?php echo $tier1_total_count_outbound; ?></td>
</tr>		
<tr>
   	<td>Tier 1 Country Percentage:</td>
    <td><?php echo $tier1countrypercentage_outbound; ?></td>
</tr>		
</table>
</center>
</td>
<td rowspan="2" style="border-style: solid; border-width: 1px;">
<center>
<table>
<tr>
<td style="font-size:20px">GEO Stats</td>
</tr>
</table>
</center>
<center>
<table>
<tr>
   	<td><b>Country Code - Country Name - Unique - Percentage:</b></td>
</tr>
<?php
while ($row_geo_stats_outbound = $result_geo_stats_outbound->fetch_array(MYSQLI_BOTH)) {
	$country_code = $row_geo_stats_outbound['country_code'];
	$country_name = $row_geo_stats_outbound['country_name'];
	$countrycount = $row_geo_stats_outbound['countrycount'];
	// calculate percentage $countrypercentage ($total_clicks)total_clicks_sent
	if ($total_clicks_sent > 0) {
		$countrypercentage = ($countrycount / $total_clicks_sent) * 100;
		$countrypercentage = round($countrypercentage, 1);
		$countrypercentage = $countrypercentage . "%";
	} else {
		$countrypercentage = "0%";
	}
	echo "<tr>";
	echo "<td>$country_code - $country_name - $countrycount - $countrypercentage</td>";
	echo "</tr>";
} // end while
//$result_geo_stats_outbound->close();
?>
</table>		
</center>
</td>
</tr>
<tr>
<td style="border-style: solid; border-width: 1px;">
</td>
</tr>
</table>
</center>

<br><br>

<center>
<table>
<tr>
   	<td><b>[IP Class Distribution of Unique Inbound Clicks (over 1)] IP Class - Count:</b></td>
</tr>
<tr><td></td></tr>
<tr><td></td></tr>
<?php
while ($row_ip_counts_inbound = $result_ip_counts_inbound->fetch_array(MYSQLI_BOTH)) {
	$subip = $row_ip_counts_inbound['subip'];
	$count = $row_ip_counts_inbound['count'];
	if ($count > 1) {
		echo "<tr>";
		echo "<td>$subip - $count</td>";
		echo "</tr>";
	}
} // end while
//$result_ip_counts_inbound->close();
?>
</table>		
</center>

<br><br>

<center>
<table>
<tr>
   	<td><b>[IP Class Distribution of Unique Outbound Clicks (over 1)] IP Class - Count:</b></td>
</tr>
<tr><td></td></tr>
<tr><td></td></tr>
<?php
while ($row_ip_counts_outbound = $result_ip_counts_outbound->fetch_array(MYSQLI_BOTH)) {
	$subip = $row_ip_counts_outbound['subip'];
	$count = $row_ip_counts_outbound['count'];
	if ($count > 1) {
		echo "<tr>";
		echo "<td>$subip - $count</td>";
		echo "</tr>";
	}
} // end while
//$result_ip_counts_outbound->close();
?>
</table>		
</center>

<br><br>
<?php
// close up shop
$mysqli->close();
?>
</div><!-- END #form_section -->
</div><!-- END #main -->
<div id="footer">
<br />
<a href="http://myclickboss.com/" target="_blank">My Click Boss</a><br />
<br />
Copyright &copy; 2013 by My Click Boss, all rights reserved.
</div><!-- END #footer -->
<br><br>
</div><!-- END #wrapper -->
</body>
</html>


